import type { CSSProperties } from 'react';
export interface StyleItem {
    className: string;
    styles: CSSProperties;
}
/** 生成 style 标签的 id 前缀 */
export declare const STYLE_PREFIX = "react-echarts-core";
/**
 * CSS in Js 方案, 避免在引入 package 之后还要引入 package.css
 * 接受包含 className 及对应 style 的对象 StyleItem
 * 以 className 作为 id 在 <head> 下创建 <style> 标签
 * 函数最终返回 className
 */
export default function renderStyle(styles: StyleItem | StyleItem[]): string;
